/**
 * 中间横线的字符串转换成驼峰命名格式
 * @param {*} value 例：r-form-input
 * @returns rFormInput
 */
 export function toCamelCase(value) {
  if (!value) return value;
  const valArr = value.split('-')
  if (valArr.length < 2) return valArr[0]
  let camelCaseStr = valArr[0]
  for (let i = 1; i < valArr.length; i ++) {
    const firstLetter = valArr[i].substr(0, 1)
    const letter = firstLetter.toUpperCase() + valArr[i].substr(1)
    camelCaseStr += letter
  }
  return camelCaseStr
}